Opportunities
Get an opportunity
Fetch a single deal.
GET
/
opportunities
/
{id}
Get an opportunity
curl --request GET \
--url https://backend.leadey.ai/v1/opportunities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.leadey.ai/v1/opportunities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.leadey.ai/v1/opportunities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "opp_7Hs2nQbF",
"name": "Northwind Logistics — fleet rollout",
"value": "15000.50",
"currency": "GBP",
"probability": 40,
"status": "open",
"pipelineId": "pl_default",
"stageId": "stg_negotiation",
"stageLabel": "Negotiation",
"ownerId": "user_2pXn4Rk",
"companyId": "cmp_4Wd7hLpA",
"contactId": "ct_1Bn5zTqE",
"sourceLeadId": "lead_8Kq2mXvR",
"expectedCloseDate": "2026-09-30",
"closedAt": "2026-08-11T15:00:00.000Z",
"lostReason": "Went with an incumbent supplier",
"createdAt": "2026-07-14T09:12:44.000Z",
"updatedAt": "2026-08-02T16:30:05.000Z"
}
}{
"error": {
"message": "Invalid or revoked API key.",
"details": null
}
}{
"error": {
"message": "Lead not found",
"details": null
}
}{
"error": {
"message": "Rate limit exceeded. Retry in 42s.",
"details": null
}
}⌘I
Get an opportunity
curl --request GET \
--url https://backend.leadey.ai/v1/opportunities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.leadey.ai/v1/opportunities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.leadey.ai/v1/opportunities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "opp_7Hs2nQbF",
"name": "Northwind Logistics — fleet rollout",
"value": "15000.50",
"currency": "GBP",
"probability": 40,
"status": "open",
"pipelineId": "pl_default",
"stageId": "stg_negotiation",
"stageLabel": "Negotiation",
"ownerId": "user_2pXn4Rk",
"companyId": "cmp_4Wd7hLpA",
"contactId": "ct_1Bn5zTqE",
"sourceLeadId": "lead_8Kq2mXvR",
"expectedCloseDate": "2026-09-30",
"closedAt": "2026-08-11T15:00:00.000Z",
"lostReason": "Went with an incumbent supplier",
"createdAt": "2026-07-14T09:12:44.000Z",
"updatedAt": "2026-08-02T16:30:05.000Z"
}
}{
"error": {
"message": "Invalid or revoked API key.",
"details": null
}
}{
"error": {
"message": "Lead not found",
"details": null
}
}{
"error": {
"message": "Rate limit exceeded. Retry in 42s.",
"details": null
}
}